> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shade.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Asset from Index

> Get an asset from the index. This will return all data about that file as well as the id. This function can be
useful for looking up the shade id for a file given an input file path. The primary difference between this
route and the GET /assets/asset_id is that this runs with only the path. This is useful for looking up the Shade
id for a file given an input file path.

<ResponseExample>
  ```json Response
  {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "user_description": "string",
      "description": "string",
      "signature": 0,
      "updated": "2019-08-24T14:15:22Z",
      "created": "2019-08-24T14:15:22Z",
      "file_created": "2019-08-24T14:15:22Z",
      "file_modified": "2019-08-24T14:15:22Z",
      "timestamp": 0,
      "path": "string",
      "type": "IMAGE",
      "tags": [
      "string"
      ],
      "size_bytes": 0,
      "source": [
      "string"
      ],
      "objects": [
      null
      ],
      "transcription": "string",
      "rating": 0,
      "blurhash": "string",
      "palette": [
      [
      0
      ]
      ],
      "ocr": "string",
      "category": "string",
      "extension": "string",
      "license": "cc-by",
      "asset_metadata": {},
      "preview_images": [
  {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "path": "string",
      "thumbnail": "string",
      "created": "2019-08-24T14:15:22Z"
  }
      ],
      "texture_data": {},
      "integration_data": {},
      "proxy_path": "string",
      "ai_indexed": true,
      "comments": [
  {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "content": "string",
      "created": "2019-08-24T14:15:22Z",
      "updated": "2019-08-24T14:15:22Z"
  }
      ],
      "candid": true,
      "faces_present": true,
      "red_eye": true,
      "eyes_open": true,
      "people_posing": true,
      "blurry": true,
      "focused": true,
      "good_exposure": true,
      "players": [
  {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "number": 0,
      "image_blob": "string"
  }
      ]
  }
  ```
</ResponseExample>
